%global momorel   5
%global emacsver  22.0.50
%global xemacsver 21.4
%global e_sitedir %{_datadir}/emacs/site-lisp
%global xe_sitedir  %{_datadir}/xemacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages

Summary: YaTeX - Yet Another TeX mode - for Emacsen
Name: elisp-yatex
Version: 1.72
Release: %{momorel}m
License: GPL
Group: Applications/Editors
%NoSource 0 http://www.yatex.org/yatex%{version}.tar.gz ddc66e29cf7909c8cf0877f3a8fbfd0a
Source1: yatexhlp.el-emacs
Source2: yatexhlp.el-xemacs
Patch0: yatex-info.patch
Patch1: yatex-makefile.patch
URL: http://www.yatex.org/
Requires: emacsen
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo

%description
YaTeX automates typesetting and previewing of LaTeX and enables completing input of LaTeX mark-up
command such as \begin{}..\end{}.

%package -n yatex-emacs
Group: Applications/Editors
Summary: YaTeX - Yet Another TeX mode - for Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
PreReq: info

%description -n yatex-emacs
YaTeX automates typesetting and previewing of LaTeX and enables completing input of LaTeX mark-up
command such as \begin{}..\end{}.

%package -n yatex-xemacs
Group: Applications/Editors
Summary: YaTeX - Yet Another TeX mode - for XEmacs
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}

%description -n yatex-xemacs
YaTeX automates typesetting and previewing of LaTeX and enables completing input of LaTeX mark-up
command such as \begin{}..\end{}.

%prep
%setup -q -n yatex%{version}
%patch0 -p1
%patch1 -p1

rm -rf %{buildroot}

%build
mkdir -p %{buildroot}%{e_sitedir}/yatex
mkdir -p %{buildroot}%{e_sitedir}/etc/yatex
mkdir -p %{buildroot}%{_infodir}
mkdir -p %{buildroot}%{sitepdir}/lisp/yatex
mkdir -p %{buildroot}%{sitepdir}/etc/yatex
mkdir -p %{buildroot}%{sitepdir}/info
chmod 644 docs/*.tex

YaTeXDoc() {
  cd docs
  rm -f *j *e
  for i in yatexj yatexe yahtmlj yahtmle
    do $1 -batch -eval '(set-language-environment "Japanese")' \
      -eval "(setq system-type 'ms-dos)" $i.tex \
      -e texinfo-format-buffer \
      -e basic-save-buffer
    done
  cd ../
}

YaTeXInstall() {
  make clean
  YaTeXDoc $1
  if [ "$1" = emacs ]; then
    cp -f %{SOURCE1} yatexhlp.el
    make PREFIX=%{_prefix} EMACS=$1 bytecompile
    make PREFIX=%{buildroot}%{_prefix} \
      EMACS=emacs EMACSDIR=%{buildroot}%{_datadir}/emacs \
      LISPDIR=%{buildroot}%{e_sitedir}/yatex \
      HELPDIR=%{buildroot}%{e_sitedir}/etc/yatex \
      INFODIR=%{buildroot}%{_infodir} \
      install-real
  else if [ "$1" = xemacs ]; then
    cp -f %{SOURCE2} yatexhlp.el
    make PREFIX=%{_prefix} EMACS=$1 bytecompile
    make PREFIX=%{buildroot}%{_prefix} \
      EMACS=xemacs EMACSDIR=%{buildroot}%{_libdir}/emacs \
      LISPDIR=%{buildroot}%{sitepdir}/lisp/yatex \
      HELPDIR=%{buildroot}%{sitepdir}/etc/yatex \
      INFODIR=%{buildroot}%{sitepdir}/info \
      install-real
    fi
  fi
}


YaTeXInstall emacs
YaTeXInstall xemacs

%install
rm -rf %{buildroot}%{e_sitedir}/yatex/docs %{buildroot}%{e_sitedir}/yatex/yatex.new
rm -rf %{buildroot}%{sitepdir}/lisp/yatex/docs %{buildroot}%{sitepdir}/lisp/yatex/yatex.new

%clean
rm -rf %{buildroot}

%post -n yatex-emacs
install-info %{_infodir}/yatexe.info* %{_infodir}/dir --section="Emacs"
install-info %{_infodir}/yatexj.info* %{_infodir}/dir --section="Emacs"
install-info %{_infodir}/yahtmle.info* %{_infodir}/dir --section="Emacs"
install-info %{_infodir}/yahtmlj.info* %{_infodir}/dir --section="Emacs"

%preun -n yatex-emacs
if [ "$1" = 0 ]; then
  install-info --delete %{_infodir}/yatexe.info* %{_infodir}/dir --section="Emacs"
  install-info --delete %{_infodir}/yatexj.info* %{_infodir}/dir --section="Emacs"
  install-info --delete %{_infodir}/yahtmle.info* %{_infodir}/dir --section="Emacs"
  install-info --delete %{_infodir}/yahtmlj.info* %{_infodir}/dir --section="Emacs"
fi

%files
%defattr(-,root,root)
%doc 00readme install readme.meadow.j

%files -n yatex-emacs
%defattr(-,root,root)
%dir %{_datadir}/emacs/site-lisp/etc
%{e_sitedir}/yatex
%{e_sitedir}/etc/yatex
%{_infodir}/*.info*

%files -n yatex-xemacs
%defattr(-,root,root)
%{sitepdir}/lisp/yatex
%{sitepdir}/etc/yatex
%{sitepdir}/info/*.info*

%changelog
* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.72-5m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Tue Feb 15 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.72-4m)
- use %%{sitepdir}

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.72-3m)
- rebuild against emacs 22.0.50

* Sun Nov 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.72-2m)
- rebuild against emacs-21.3.50

* Sat Dec 27 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.72-1m)
- update to 1.72

* Thu Aug 21 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.71-1m)
- update to 1.71
- minor bugfixes
- use %%momorel macro
- use %%NoSource macro

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.70-4m)
- rebuild against emacs-21.3
- use %%{_prefix} %%{_datadir} %%{_libdir} macro

* Mon Dec  9 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.70-3m)
- Requires: emacsen

* Mon Dec 2 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.70-2m)
- add BuildPreReq: xemacs-sumo

* Mon Jul 29 2002 smbd <smbd@momonga-linux.org>
- (1.70-1m)
- up to 1.70

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (1.69.2-12k)
- /sbin/install-info -> info in PreReq.

* Sun Apr 14 2002 Hidetomo Machi <mcht@kondara.org>
- (1.69.2-10k)
- grab /usr/share/emacs/site-lisp/etc (%files)

* Thu Nov  1 2001 Hidetomo Machi <mcHT@kondara.org>
- (1.69.2-8k)
- Patch1 is renewal
- modify make option

* Tue Oct 30 2001 Hidetomo Machi <mcHT@kondara.org>
- (1.69.2-6k)
- modify spec
- use "bytecompile-nw"

* Mon Oct 29 2001 Hidetomo Machi <mcHT@kondara.org>
- (1.69.2-4k)
- modify BuildPreReq

* Sun Oct 28 2001 Hidetomo Machi <mcHT@kondara.org>
- (elis-yatex-1.69.2-2k)
- merge yatex-emacs and yatex-xemacs

* Tue Jan  9 2001 Toru Hoshina <toru@df-usa.com>
- (1.68-8k)
- don't use info.gz.

* Fri Oct 20 2000 Hidetomo Machi <mcHT@kondara.org>
- (1.68-5k)
- modify specfile (License)

* Tue Aug 15 2000 AYUHANA Tomonori <l@kondara.org>
- (1.68-2k)
- add yatex-nwmake.patch
- change %{_infodir}/*.gz -> %{_infodir}/**
- add BuildRequires: emacs

* Sun Aug 13 2000 Masaki IMURA <imura-m@fg7.so-net.ne.jp>
- (1.68-1k)
- %build section - Vine (1.67vl5)
- yatex-info.diff patch Vine (1.67vl5) includes yahtmle.tex patch
- yatexhlp-emacs.diff (1.67vl5)
- compiling info files - [yatex:03209]
